/*
connections arduino RF01 and RF02

in arduino version 018
(not yet tested in more recent arduino versions)

tested with ATmega 328
on frequency 433

no range test done yet, just in one room
*/

//connections RF01: (receiving)
#define SDI		5	// RF01  SDI,  arduino  13 cannot be changed
#define SCK		4	// RF01  SCK,  arduino  12 cannot be changed
#define CS		3	// RF01  nSEL, arduino  11 cannot be changed
#define SDO		2	// RF01  SDO,  arduino  10 cannot be changed
//--------------------- // RF01  niRQ, arduino  02 cannot be changed
//----------------------// RF01  nFFS: 1-10k Pullup too Vcc


// receiving words with RF01

#include <RF01.h>

int serialTesting = 1;

void setup() {
  
  Serial.begin(9600);
  Serial.println("\nRF02 receive");
  delay(250);

  rf01_prepAll();

  delay(250);
  Serial.println("startup");
}

void loop() {

    rf01_receive();
	char* buf = (char*) rf01_data;
    Serial.println(buf);
    Serial.println(" done");

    delay(500);	
  
}
